[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.OnActiveFormChange

Event handler signalled when the active form on the screen has been changed.

## Declaration

Source position: forms.pp line 1314

`public property TScreen.OnActiveFormChange : TNotifyEvent read FOnActiveFormChange write FOnActiveFormChange;`

## Description

OnActiveFormChange is a TNotifyEvent property with the event handler signalled when the active form on the screen has been changed. Sender contains the TScreen instance for the change notification.

OnActiveFormChange is signalled (when assigned) from the UpdateLastActive method, and occurs before the OnActiveControlChange event handler.

## See also

TScreen.AddHandlerActiveFormChanged |  | Adds a form changed notification handler.
TScreen.AddHandlerActiveFormChanged |  | Adds a form changed notification handler.
TNotifyEvent